Update a service account
curl --request PATCH \
--url https://app.kosli.com/api/v2/service-accounts/{org}/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'import requests
url = "https://app.kosli.com/api/v2/service-accounts/{org}/{name}"
payload = { "description": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://app.kosli.com/api/v2/service-accounts/{org}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"creating_user_id": "<string>",
"created_at": 123,
"for_webhook": true
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Update a service account
Update a service account’s description and/or privilege. Sending
description: null clears the description; omitting the field leaves
it unchanged.
PATCH
/
service-accounts
/
{org}
/
{name}
Update a service account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 64Pattern:
^[a-zA-Z0-9\-]+$Body
application/json
Last modified on July 10, 2026
⌘I